@echo off
rem StopAndRemove.bat
rem
rem Stops and removes all Smedge Services on the local machine
rem and deletes the "Smedge" user account
rem
rem Smedge 3
rem Copyright Uberware. All Rights Reserved



rem NOTE: This script is meant to be run by a system administrator. 
rem NOTE: It does not check that the current running use has administrative privileges.
rem NOTE: Use by a non-administrator will lead to failure and inconsistent behavior

echo ++ Uninstalling Smedge Services ++
echo.

echo Removing Engine Control Service...
net stop Engine  1>nul 2>nul
sc delete Engine  1>nul 2>nul

echo Removing Engine Service...
net stop SmedgeEngine  1>nul 2>nul
sc delete SmedgeEngine  1>nul 2>nul

echo Removing Master Service...
net stop SmedgeMaster  1>nul 2>nul
sc delete SmedgeMaster  1>nul 2>nul

echo Removing Smedge user account...
net user Smedge /delete  1>nul 2>nul
